qtcreator (20.0.0~beta1+ds-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the patches:
    - debian_paths.diff: refresh
    - Utils-do-not-assert-on-unknown-unhandled-architectur.patch: refresh
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 6.8.3
  * Convert watch file to v5.
  * Repack the upstream tarball to remove some embedded code copies that are
    already not used (in favour of system versions), to avoid using them
    accidentally:
    - drop bzip2, googletest, libarchive, xz, yaml-cpp, zlib, and qbs via
      Files-Excluded in copyright; also drop files of them in copyright
    - drop the references to removed libraries from qt_attributions.json;
      patch debian_repack.diff
    - add +ds suffix to the version
    - add repack options in watch file

 -- Pino Toscano <pino@debian.org>  Fri, 08 May 2026 22:25:54 +0200

qtcreator (19.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.4, no changes required.
  * Update the patches:
    - Utils-do-not-assert-on-unknown-unhandled-architectur.patch: refresh/update

 -- Pino Toscano <pino@debian.org>  Fri, 24 Apr 2026 05:41:00 +0200

qtcreator (19.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Mar 2026 19:58:39 +0100

qtcreator (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Feb 2026 20:15:14 +0100

qtcreator (19.0.0~beta2-1) experimental; urgency=medium

  * New upstream development release.
  * Update the patches:
    - Utils-do-not-assert-on-unknown-unhandled-architectur.patch: refresh

 -- Pino Toscano <pino@debian.org>  Fri, 13 Feb 2026 04:55:01 +0100

qtcreator (19.0.0~beta1-2) experimental; urgency=medium

  * Backport the proposed upstream Gerrit review
    https://codereview.qt-project.org/c/qt-creator/qt-creator/+/708823 to not
    fail the build on architectures different than x86/arm/arm64/ia64; patch
    Utils-do-not-assert-on-unknown-unhandled-architectur.patch.
  * Fix build on architectures that do not have 128 bit integer types; patch
    int128.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 31 Jan 2026 08:47:56 +0100

qtcreator (19.0.0~beta1-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - add qt6-networkauth-dev

 -- Pino Toscano <pino@debian.org>  Thu, 29 Jan 2026 22:01:36 +0100

qtcreator (18.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Drop armel from the list of architectures that need --low-mem-die-limit
    for dwz, as that architecture was discontinued.

 -- Pino Toscano <pino@debian.org>  Mon, 26 Jan 2026 21:50:55 +0100

qtcreator (18.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch the qt6-base-dev-tools recommend to qt6-base-dev, so it is possible
    to build using Qt 6 by default. (Closes: #1109037)

 -- Pino Toscano <pino@debian.org>  Tue, 16 Dec 2025 18:47:32 +0100

qtcreator (18.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Oct 2025 11:21:32 +0100

qtcreator (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream development release.
  * Pass -DBUILD_EXECUTABLE_CMDBRIDGE=OFF to cmake to explicitly disable the
    build of the Go CmdBridge; the build tries to fetch the Go modules via the
    network by default, which is not permitted.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 22:09:39 +0200

qtcreator (18.0.0~beta2-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 17.0.2-1.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Oct 2025 21:27:44 +0200

qtcreator (18.0.0~beta1-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - drop qt6-5compat-dev, no more needed

 -- Pino Toscano <pino@debian.org>  Thu, 25 Sep 2025 05:30:16 +0200

qtcreator (17.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Oct 2025 19:51:01 +0200

qtcreator (17.0.1-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release:
    - supports Qt 6.9+ (Closes: #1115520)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Restore proper changelog entry.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2025 19:47:37 +0200

qtcreator (17.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update changelog, prepare for experimental upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Jul 2025 09:15:12 +0200

qtcreator (17.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - add libarchive-dev

 -- Pino Toscano <pino@debian.org>  Thu, 19 Jun 2025 08:11:22 +0200

qtcreator (16.0.1-2) unstable; urgency=medium

  * Team upload.
  * Update changelog with a better wording

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Jul 2025 09:13:53 +0200

qtcreator (16.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add zlib1g-dev

 -- Pino Toscano <pino@debian.org>  Tue, 15 Apr 2025 09:44:26 +0200

qtcreator (16.0.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Mar 2025 17:27:07 +0100

qtcreator (16.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch watch file back to stable releases.
  * Update the patches:
    - debian_paths.diff: refresh
    - revert_libdir_setting.diff: hopefully no more needed now

 -- Pino Toscano <pino@debian.org>  Thu, 13 Mar 2025 20:39:58 +0100

qtcreator (16.0.0~rc1-2) experimental; urgency=medium

  * Bump the qt6-base-dev build dependency to 6.7.3, to ensure that QmlDesigner
    is built.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Mar 2025 08:48:59 +0100

qtcreator (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream development release.
  * Locally revert an upstream commit that breaks the detection of the distro
    paths done by GNUInstallDirs; patch revert_libdir_setting.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Feb 2025 07:30:17 +0100

qtcreator (16.0.0~beta2-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Feb 2025 22:03:29 +0100

qtcreator (16.0.0~beta1-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - add qt6-websockets-dev

 -- Pino Toscano <pino@debian.org>  Mon, 03 Feb 2025 22:09:56 +0100

qtcreator (15.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Jan 2025 10:35:01 +0100

qtcreator (15.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Pass --low-mem-die-limit to reduce the memory used by dwz also on
    hurd-i386.

 -- Pino Toscano <pino@debian.org>  Tue, 03 Dec 2024 07:40:14 +0100

qtcreator (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream development release.
  * Update the patches:
    - Utils-fix-conflict-of-withSuffix-int-and-withSuffix-.patch: drop, fixed
      upstream

 -- Pino Toscano <pino@debian.org>  Thu, 14 Nov 2024 18:55:23 +0100

qtcreator (15.0.0~beta2-2) experimental; urgency=medium

  * Disable the build of the Go CmdBridge: more work is needed to actually
    build it offline using the existing Debian packages of the used modules
    - remove the golang, golang-github-fsnotify-fsnotify-dev,
      golang-github-fxamacker-cbor-dev, and golang-golang-x-sys-dev build
      dependencies
  * Backport the upstream review
    https://codereview.qt-project.org/c/qt-creator/qt-creator/+/598448 to fix
    the build on 32bit architectures; patch
    Utils-fix-conflict-of-withSuffix-int-and-withSuffix-.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Nov 2024 06:46:25 +0100

qtcreator (15.0.0~beta2-1) experimental; urgency=medium

  * New upstream development release.
  * Enable the build of the Go CmdBridge:
    - add the golang, golang-github-fsnotify-fsnotify-dev,
      golang-github-fxamacker-cbor-dev, and golang-golang-x-sys-dev build
      dependencies
    - exclude the stripping of the cmdbridge executables, as they are already
      stripped (and they would require cross-tools to strip them anyway)

 -- Pino Toscano <pino@debian.org>  Fri, 01 Nov 2024 06:05:38 +0100

qtcreator (15.0.0~beta1-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the patches:
    - upstream_ClangFormat-Fix-build-with-current-LLVM-main-branch.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Fri, 18 Oct 2024 23:08:39 +0200

qtcreator (14.0.2-4) unstable; urgency=medium

  * Stop using clang to build on mips64el:
    - the current new default clang in debian (19) fails to build what seems
      to be valid code (or at least that gcc compiles just fine)
    - the code of the clangformat plugin changed enough to not hit again into
      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=102602
    - there are no other issues due to "big code/functions" anymore, and gcc
      is able to build everything again
  * Remove old lintian override.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Oct 2024 18:19:29 +0200

qtcreator (14.0.2-3) unstable; urgency=medium

  * Backport upstream commit f175ec933f1c5c5d7a345edbaacc8ff90202aee2 to fix
    the build with LLVM >= 19; patch
    upstream_ClangFormat-Fix-build-with-current-LLVM-main-branch.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Oct 2024 13:16:44 +0200

qtcreator (14.0.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Add myself to Uploaders.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Oct 2024 10:22:05 +0200

qtcreator (14.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2024 19:15:49 +0200

qtcreator (14.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Aug 2024 21:17:44 +0200

qtcreator (14.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Drop the permission fixing of qmldir files, as they are now shipped or
    installed upstream without executable permissions set.

 -- Pino Toscano <pino@debian.org>  Fri, 26 Jul 2024 05:42:06 +0200

qtcreator (14.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jul 2024 05:26:11 +0200

qtcreator (14.0.0~beta2-2) experimental; urgency=medium

  * Team upload.
  * Bump the minimum clangd required version (both as build and runtime
    dependency) to 17: this is already a requirement since beta1, and this
    version bump was missed in previous uploads of qtcreator 14.
  * Stop building the developer documentation: it refers to the internal APIs
    of qtcreator to build new plugins for it, which is not possible as no
    development bits are shipped
    - stop passing -DBUILD_DEVELOPER_DOCS=ON to cmake

 -- Pino Toscano <pino@debian.org>  Fri, 28 Jun 2024 21:23:57 +0200

qtcreator (14.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jun 2024 17:31:07 +0200

qtcreator (14.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 6.5.4, to ensure that QmlDesigner is built
    - add qt6-charts-dev

 -- Pino Toscano <pino@debian.org>  Sun, 16 Jun 2024 09:02:51 +0200

qtcreator (13.0.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Update the build dependencies:
    - bump the Qt packages to 6.4.3, to ensure that QmlDesigner is built
    - drop the manual qt6-qmllint-plugins build dependency, as now
      qt6-declarative-dev depends on all the packages it needs
    - drop libqt6opengl6-dev, which was merged into qt6-base-dev long ago
    - switch the transitional pkg-config to pkgconf
    - add qt6-quick3d-private-dev, actually needed and so far provided by
      qt6-quick3d-dev
    - add libsecret-1-dev, for the embedded copy of qtkeychain
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Refresh patch debian_paths.diff to avoid offsets.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Jun 2024 08:53:01 +0200

qtcreator (13.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 07 May 2024 23:03:24 +0200

qtcreator (13.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump clang/llvm development to 14

 -- Pino Toscano <pino@debian.org>  Fri, 05 Apr 2024 07:35:07 +0200

qtcreator (12.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 10 Feb 2024 08:37:07 +0100

qtcreator (12.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Tweak the configuration for the CI on salsa so it can be actually run.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Dec 2023 15:41:13 +0100

qtcreator (12.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Nov 2023 22:17:43 +0100

qtcreator (11.0.3-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_ClangTools-Add-support-for-yaml-cpp-0.8.patch: drop, backported
      from upsteam

 -- Pino Toscano <pino@debian.org>  Thu, 28 Sep 2023 13:04:08 +0200

qtcreator (11.0.2-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental, as QML Designer needs Qt 6.4.3, which is not present
    in Debian at the time of this writing.
  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - add xxd
    - add qt6-qmllint-plugins as workaround for a missing dependency in
      qt6-declarative-dev

 -- Pino Toscano <pino@debian.org>  Sun, 27 Aug 2023 22:30:32 +0200

qtcreator (10.0.2-4) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Revert the changes done in 10.0.2-2 and 10.0.2-3:
    - first of all, they were uploaded totally untested, unreviewed, as
      "team upload", whereas they were effectively NMUs, as Gianfranco is not
      part of the team
    - the fix-yaml-cpp-search.patch patch is an own creation not forwarded
      upstream
    - the nonsense in dh_auto_clean, i.e. removing cmake/Findyaml-cpp.cmake,
      causes the above patch to even not work at all
  * Backport upstream commit 170f9acfb41704b68e2ba98690fd6d5e98addd85 to find
    yaml-cpp 0.8; patch upstream_ClangTools-Add-support-for-yaml-cpp-0.8.patch.
    (Closes: #1050367)
  * Drop build tweaks for mipsel, as that architecture was recently
    discontinued.
  * Update lintian overrides.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update Qt packages listed as build dependencies that have changed their
    name.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Aug 2023 20:45:25 +0200

qtcreator (10.0.2-3) unstable; urgency=medium

  * Team upload.
  * Fix yaml-cpp find and link with a non-retro-compatible patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Aug 2023 11:15:57 +0200

qtcreator (10.0.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Remove cmake/Findyaml-cpp.cmake for compatibility with the new yaml-cpp
    (Closes: #1050367).

  [ Simon Quigley ]
  * Ack and team upload, thanks Gianfranco!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 19:24:47 -0500

qtcreator (10.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2023 04:50:32 +0200

qtcreator (10.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:05:01 +0200

qtcreator (10.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 07 May 2023 08:44:11 +0200

qtcreator (10.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.
  * The usage of libdebuginfod seems to have been dropped, so:
    - drop the patch cmake_libdebuginfod.diff, no more needed
    - drop the libdebuginfod-dev build dependency

 -- Pino Toscano <pino@debian.org>  Thu, 30 Mar 2023 08:31:13 +0200

qtcreator (10.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Update the patches:
    - fix_qdoc_search_patch.patch: drop, fixed upstream

 -- Pino Toscano <pino@debian.org>  Thu, 16 Mar 2023 15:20:39 +0100

qtcreator (10.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Merge changes from 9.0.2-1, and 9.0.2-2:
    - refresh patch fix_qdoc_search_patch.patch

 -- Pino Toscano <pino@debian.org>  Thu, 02 Mar 2023 16:43:13 +0100

qtcreator (10.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - add libdebuginfod-dev
  * Properly find the debuginfod library using cmake, to link against it when
    using newer versions of elfutils; patch cmake_libdebuginfod.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Feb 2023 21:12:16 +0100

qtcreator (9.0.2-2) unstable; urgency=medium

  * Fix search path for qdoc (Closes: #1031893).
    Thanks Pino Toscano for the help!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 27 Feb 2023 13:12:24 -0300

qtcreator (9.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Feb 2023 19:22:48 +0100

qtcreator (9.0.1-2) unstable; urgency=medium

  * Team upload.
  * Drop the clang-tidy, and clang-tools build dependencies: finally LLVM 14
    was fixed.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Feb 2023 12:58:56 +0100

qtcreator (9.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Dec 2022 23:12:28 +0100

qtcreator (9.0.0-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Thu, 01 Dec 2022 06:22:59 +0100

qtcreator (9.0.0-3) experimental; urgency=medium

  * Team upload.
  * When building with clang, force the v4 of the DWARF info: apparently the
    DWARF v5 that clang produces are not fully supported by dwz (see also
    #1016936):
    - append -gdwarf-4 to CFLAGS and CXXFLAGS

 -- Pino Toscano <pino@debian.org>  Mon, 28 Nov 2022 20:51:55 +0100

qtcreator (9.0.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 8.0.2-1.
  * Build using clang on mips64el, and mipsel, to workaround a GCC bug:
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=102602
    - point CC & CXX to clang
    - restore explicit as-needed linking, as it seems needed when using clang
    - disable the build with precompiled headers (PCH), as it is not working

 -- Pino Toscano <pino@debian.org>  Sun, 27 Nov 2022 13:53:28 +0100

qtcreator (9.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Nov 2022 22:05:01 +0100

qtcreator (9.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Add the qt6-image-formats-plugins dependency to qtcreator-doc: some of the
    images are in webp format, and qt6-image-formats-plugins contains the Qt
    plugin to open them.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Nov 2022 10:08:36 +0100

qtcreator (9.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump all the Qt packages to 6.2, in case they did not have a version set
      already
  * Stop shipping the upstream changelogs in /usr/share/doc/qtcreator-data/,
    as upstream now installs them in /usr/share/qtcreator/changelog/, and they
    can be opened from the Help menu.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Oct 2022 07:53:39 +0100

qtcreator (8.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the qt6-qpa-plugins dependency, as the Qt6 6.3.1 packaging provides
    all the essential bits in library packages.
  * Remove breaks/replaces for versions older than oldstable.
  * Temporarily add the clang-tidy, and clang-tools build dependencies to
    workaround the broken CMake config files shipped in llvm-14-dev (which is
    the current version pulled by llvm-dev): it is still affected by #1021857,
    and the LLVM maintainers have not fixed it in testing for almost 2 months.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Nov 2022 08:30:01 +0100

qtcreator (8.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Aug 2022 21:13:30 +0200

qtcreator (8.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add the qml6-module-qtqml-workerscript, and qml6-module-qtquick-layouts
    dependencies, needed in various QML sources; also add qt6-qpa-plugins,
    needed for the XCB base plugin. (Closes: #1016210)
  * Switch the qmlscene-qt6 recommend to qml-qt6, as that is actually what
    qtcreator uses when using Qt6.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Jul 2022 08:06:55 +0200

qtcreator (8.0.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Jul 2022 05:55:19 +0200

qtcreator (8.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Wed, 20 Jul 2022 19:04:38 +0200

qtcreator (8.0.0~rc1-2) experimental; urgency=medium

  * Team upload.
  * Pass --low-mem-die-limit 3000000 to dwz on some architectures (currently:
    armel armhf mipsel), as an attempt to complete the dwz processing without
    running into "out of memory" failures.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jul 2022 07:05:58 +0200

qtcreator (8.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jul 2022 20:31:08 +0200

qtcreator (8.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Update the build dependencies according to the upstream build system:
    - drop libicu-dev, no more used for many releases already
    - drop liblitehtml-dev, as the system version is not enough to replace the
      embedded copy
    - drop zlib1g-dev, not directly used
    - explicitly add python3, used during the build
  * Use a qtcreator-data.docs file to install the upstream changelog files,
    rather than passing all of them as arguments to dh_installdocs.
  * Limit the search of 'qmldir' files only to those executable, and make the
    chmod call verbose so it is easier to see whether there are any.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2022 21:04:42 +0200

qtcreator (8.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta/-rc in the
    version.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the patches:
    - upstream_Correctly-include-KSyntaxHighlighting-headers.patch: drop,
      backported from upstream
    - debian_paths.diff: refresh
  * Switch qtcreator to build with Qt6 instead of Qt5:
    - remove libkf5syntaxhighlighting-dev, libqt5opengl5-dev,
      libqt5serialport5-dev, libqt5sql5-sqlite, libqt5svg5-dev,
      libqt5x11extras5-dev, qml-module-qtquick-controls, qml-module-qtquick2,
      qtbase5-dev, qtbase5-private-dev, qtdeclarative5-dev,
      qtdeclarative5-private-dev, qtscript5-dev, qttools5-dev,
      qttools5-dev-tools, and qttools5-private-dev
    - add libqt6core5compat6-dev, libqt6opengl6-dev, libqt6quicktimeline6-dev,
      libqt6serialport6-dev, libqt6shadertools6-dev, libqt6svg6-dev,
      qt6-base-dev, qt6-base-private-dev, qt6-declarative-dev,
      qt6-declarative-private-dev, qt6-quick3d-dev, qt6-tools-dev, and
      qt6-tools-private-dev
    - stop exporting QT_SELECT, no more needed
    - replace libqt5designercomponents5 with libqt6designercomponents6 in the
      strict dependency for Designer bits
    - update the runtime dependencies/recommends/suggests:
      - switch libqt5sql5-sqlite to libqt6sql6-sqlite
      - switch qml-module-qtqml-models2 to qml6-module-qtqml-models
      - switch qml-module-qtquick-controls to qml6-module-qtquick-controls
      - switch qml-module-qtquick2 to qml6-module-qtquick
      - drop qtchooser, no more needed with Qt6
      - switch qmlscene to qmlscene-qt6
      - drop qt5-doc, there is no Qt6 equivalent in Debian yet
      - switch qtbase5-dev-tools to qt6-base-dev-tools
      - switch qtdeclarative5-dev-tools to qt6-declarative-dev-tools
      - switch qttools5-dev-tools to qt6-tools-dev-tools
      - switch qttranslations5-l10n to qt6-translations-l10n
    - remove the license files installed from the embedded copy of
      KSyntaxHighlighting
    - the switch enables the build of the QML Designer plugin, which is built
      only when using Qt >= 6.2.0 (Closes: #1006555)
  * qtcreator now uses clangd instead of libclang for the Clang code model:
    - add clangd >= 14 as dependency: the unversioned name is used, and the
      current requirement is 14+
    - stop depending on the version of clang-N used by the unversioned clang,
      as there is no more need for the exact Clang version to locale the Clang
      includes
    - add the same clangd version also as build dependency: while it is not
      needed at build time, it makes sure that qtcreator can be built only when
      the runtime clangd requirement is satisfied

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jun 2022 20:16:14 +0200

qtcreator (7.0.2-2) unstable; urgency=medium

  * Team upload.
  * Backport part of upstream commit 4d9215e44d70c10be2c183592e8280c4d7292a83
    to fix the includes of KSyntaxHighlighting, so they work also with 5.94.0+;
    patch upstream_Correctly-include-KSyntaxHighlighting-headers.patch.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Mon, 30 May 2022 19:22:51 +0200

qtcreator (7.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 24 May 2022 20:05:21 +0200

qtcreator (7.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the libjs-jquery build dependency, unused for a long time.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Apr 2022 04:47:18 +0200

qtcreator (7.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Mar 2022 22:03:33 +0100

qtcreator (7.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Drop the qtxmlpatterns5-dev-tools build dependency, not actually needed.
  * Stop recommending qtxmlpatterns5-dev-tools: nothing in qtcreator actually
    uses it, and QtXmlPatterns is considered deprecated upstream, so avoid
    installing it by default.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Mar 2022 08:11:01 +0100

qtcreator (7.0.0~beta2-2) experimental; urgency=medium

  * Team upload.
  * Enable the ClangFormat plugin, as it should run fine without requiring to
    be built against a patched LLVM since 4.15.0:
    - stop exporting QTC_BUILD_PLUGIN_CLANGFORMAT=FALSE
  * Pass -DCLANGTOOLING_LINK_CLANG_DYLIB=ON to cmake to link against the
    available shared libraries of clang rather than the static LLVM ones.
  * Remove a no more existing path from the dh_shlibdeps invocation.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Feb 2022 08:12:53 +0100

qtcreator (7.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Feb 2022 21:27:31 +0100

qtcreator (7.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta/-rc in the
    version.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the Qt packages to 5.15.2
  * Update the patches:
    - upstream_Disable-QmlDesigner-plugin-for-Qt-5-based-builds.patch:
      dropped, backported from upstream

 -- Pino Toscano <pino@debian.org>  Mon, 14 Feb 2022 21:38:02 +0100

qtcreator (6.0.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 8acd2b15a9f12ba7de7281e6617963543a96056e to disable
    the build of the QmlDesigner plugin with Qt < 6.2.0; qtcreator is currently
    build with Qt 5, and that plugin fails to build on 32bit architectures;
    patch upstream_Disable-QmlDesigner-plugin-for-Qt-5-based-builds.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jan 2022 21:13:01 +0100

qtcreator (6.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * The rebuild will use the current LLVM. (Closes: #1003453)

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jan 2022 20:08:13 +0100

qtcreator (6.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - yaml-cpp_empty_includedir.diff: drop, fixed upstream
  * Suggest python3-pylsp, as it contains the Python language server optionally
    used by the Python plugin.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Dec 2021 20:44:53 +0100

qtcreator (6.0.0-2) unstable; urgency=medium

  * Team upload.
  * Pass -DWITH_TESTS=OFF -DBUILD_TESTING=OFF to really disable all the tests,
    including the ones of bundled libraries.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Dec 2021 20:21:42 +0100

qtcreator (6.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Dec 2021 19:29:22 +0100

qtcreator (6.0.0~rc1-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 5.0.3-2.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 11:32:15 +0100

qtcreator (6.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Merge changes from 5.0.3-1.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 06:22:06 +0100

qtcreator (6.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Oct 2021 20:57:14 +0200

qtcreator (6.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta/-rc in the
    version.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Oct 2021 20:45:24 +0200

qtcreator (5.0.3-2) unstable; urgency=medium

  * Team upload.
  * Do not assume that ${YAML_CPP_INCLUDE_DIR} (from the CMake config files of
    yaml-cpp) is not empty; patch yaml-cpp_empty_includedir.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 07:39:18 +0100

qtcreator (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Nov 2021 19:05:40 +0100

qtcreator (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * The rebuild will use the newer LLVM 11. (Closes: #995228)

 -- Pino Toscano <pino@debian.org>  Fri, 01 Oct 2021 19:40:38 +0200

qtcreator (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Sep 2021 08:04:14 +0200

qtcreator (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Aug 2021 20:32:28 +0200

qtcreator (5.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta/-rc in the
    version.
  * Update the patches:
    - debian_paths.diff: refresh

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 07:06:57 +0200

qtcreator (4.15.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - debian_paths.diff: refresh

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 15:45:36 +0200

qtcreator (4.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_cmake-build-Fix-fallback-LLVM-Clang-paths.patch: drop,
      backported from upstream
    - upstream_cmake-build-Use-GNUInstallDirs-for-installation-path.patch:
      drop, backported from upstream
    - upstream_cmake-build-Don-t-install-highlighting-files-when-us.patch:
      drop, backported from upstream
  * Use execute_after_dh_auto_install, and execute_after_dh_install to avoid
    invoking dh_auto_install, and dh_install manually.
  * Limit the dh bits for installing the upstream changelogs to -indep packages
    only.

 -- Pino Toscano <pino@debian.org>  Fri, 26 Feb 2021 10:37:39 +0100

qtcreator (4.14.0-4) unstable; urgency=medium

  * Team upload.
  * Build the documentation in addition to what dh_auto_build does, not
    replacing altogether the -indep step; otherwise dh_auto_build is not
    run in -indep build, and thus not all the data files are available.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jan 2021 20:59:13 +0100

qtcreator (4.14.0-3) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Drop debian/README.source, as it does not provide useful information.
  * Include /usr/share/dpkg/architecture.mk instead of manually querying
    dpkg-architecture for DEB_HOST_MULTIARCH.
  * Update watch file:
    - bump to v4, no changes required
    - drop repack and compress options, as the original tarball is fine
  * Add Repository, and Repository-Browse to debian/upstream/metadata.
  * Add the configuration for the CI on salsa.
  * Backport upstream commit 86348d562214a27574ddbd65825414ae7e731438 to fix
    the paths to Clang include & library directories; patch
    upstream_cmake-build-Fix-fallback-LLVM-Clang-paths.patch. (Closes: #979577)
  * Backport upstream commit c81baf1a9cc938a283f6c52c8fd10bab84183391 to set
    installation paths using the GNUInstallDirs module of CMake; patch
    upstream_cmake-build-Use-GNUInstallDirs-for-installation-path.patch
    - remove the majority of debian_paths.diff, leaving only the change to the
      documentation path
  * Require the same version of the clang-N used for the build: this is because
    creator hardcodes the clang version and its include path, so we should not
    let an older clang than the build one be usable.
  * Backport upstream commit c650c9473db32fc2197a32017b0ef3406cf75280 to not
    install KSyntaxHighlighting files from the embedded copy; patch
    upstream_cmake-build-Don-t-install-highlighting-files-when-us.patch
    - drop their removal from rules
  * Lazy-evaluate the list of dist/changes-* (for dh_installdocs).

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jan 2021 20:20:31 +0100

qtcreator (4.14.0-2) unstable; urgency=medium

  * Team upload.
  * Build qtcreator with cmake instead of qmake, as it is supported (and
    encouraged) by upstream:
    - adapt the installation paths to the Debian locations; patch
      debian_paths.diff
    - add the cmake build dependency
    - drop all the other patches related to qmake bits that are not needed
      anymore: rpath_nonlinux.diff, remove_libexec.diff,
      fix_documentation_path.diff, and desktop_nonlinux.diff
    - adapt rules:
      - force the cmake buildsystem, as dh prefers qmake when autodetecting
      - pass -DBUILD_QBS=OFF to not build the embedded copy of qbs
      - enable, build, and install the documentation only when qtcreator-doc
        is built
      - remove duplicated installed files to keep qtcreator-data.install simple
      - export QTC_BUILD_PLUGIN_HELLOWORLD=FALSE to not build the HelloWorld
        plugin (replaces the qmake variable IDE_PACKAGE_MODE=1)
    - update install files
    - create compatibility symlinks for the moved paths of the HTML docs
  * Drop all the LICENSE.LGPL symlinks we create, as those license files are
    not installed anymore.
  * Remove extra executable permissions from qmldir files.
  * Update lintian overrides.
  * Disable shlibs on the internal libraries, as it is pointless.
  * Add the libqt5svg5-dev, and libzstd-dev build dependencies for extra
    features.
  * Drop the unapplied patches always_autotect_qt_versions, and
    fix_qt_version_autodetection.diff: they were added many years ago, with
    not many details on what was the actual problem or whether it was reported
    upstream; they have not been applied for a year and we got no reports about
    them, so drop them for good.
  * Export QTC_BUILD_PLUGIN_CLANGFORMAT=FALSE to disable the build of the
    ClangFormat plugin, as it requires clang-format with a patch not accepted
    yet (Closes: #939825) (LP: #1876436); see:
    - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=939825#49
    - https://bugreports.qt.io/browse/QTCREATORBUG-22923

 -- Pino Toscano <pino@debian.org>  Wed, 23 Dec 2020 09:10:13 +0100

qtcreator (4.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.14.0
    - bump the LLVM/clang packages to 10
  * Update the patches:
    - remove_libexec.diff: refresh
    - fix_documentation_path.diff: refresh
    - perfparser_big_endian.patch: drop, fixed upstream
    - perfparser_undef_mips.patch: drop, fixed upstream
    - desktop_nonlinux.diff: refresh

 -- Pino Toscano <pino@debian.org>  Thu, 17 Dec 2020 22:47:49 +0100

qtcreator (4.13.3-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make the mime types defined in debian/Nokia-QtCreator.xml a sub class of
    text/plain. This makes other editors like KDevelop not open them in the hex
    editor. Thanks Sune Vuorela for the patch!

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 20 Nov 2020 15:35:24 +0100

qtcreator (4.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Oct 2020 20:00:02 -0300

qtcreator (4.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 18 Sep 2020 08:06:04 +0200

qtcreator (4.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - load_clanglazy.patch: drop, clazy can be called only as external tool
  * Add the libyaml-cpp-dev build dependency to use the system yaml-cpp instead
    of the embedded copy.
  * Suggest meson for the new meson plugin.
  * Pass KSYNTAXHIGHLIGHTING_INCLUDE_DIR with the path of the includes of
    KF5SyntaxHighlighting, so they can be found on any architecture (and not
    only on Linux).
  * Install desktop and AppStream files also on non-Linux architectures;
    patch desktop_nonlinux.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Aug 2020 10:00:26 +0200

qtcreator (4.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use the default LLVM/clang Debian versions, rather than hardcoding 8.
    Hopefully qtcreator will properly support newer LLVM versions fast enough.
    (Closes: #966007)
    - switch the libclang-8-dev build dependency to libclang-dev >= 8
    - switch the llvm-8-dev build dependency to llvm-dev >= 8
    - get the LLVM root using llvm-config
  * Switch the generic clang recommend to a dependency of the exact clang-N
    used to build (Closes: #919860, #952718) (LP: #1890434, #1877927)
    - add the clang build dependency to get the used clang executable
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Force the version of libqt5designercomponents5 as dependency to be at least
    the same as used during the build. (Closes: #966169)
  * Remove the kate-data suggest, as it does not exist anymore; syntax
    highlighting files are already provided by KF5SyntaxHighlighting.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Aug 2020 19:00:23 +0200

qtcreator (4.12.3-3) unstable; urgency=medium

  * Team upload.
  * Undefine mips macro to fix FTBFS on mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Jun 2020 19:39:40 +0300

qtcreator (4.12.3-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix perfparser build on big endian systems.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 19:40:29 +0300

qtcreator (4.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Refresh detect_ccache_executables.patch.
  * Update debian/copyright.
  * Remove detect_ccache_executables.patch, it's present in this version.
  * Adapt load_clanglazy.patch, it hopefully still works.
  * Drop botan dependency, as now Qt Creator uses OpenSSH tools
    (Closes: #955465). Thanks Michael Weghorn for the bug report!
  * Use system liblitehtml-dev (Closes: #956341).

  [ Dmitry Shachnev ]
  * Install only qtcreator’s own docs, not also QBS docs.
  * Remove qbs-dev build-dependency, it is no longer used.
  * Add licenses for AppStream metadata to debian/copyright.
  * Remove libqt5webkit5-dev build-dependency, unused since 4.2.0.
  * Bump Qt build-dependencies to 5.11.0.

  [ Enrico Zini ]
  * Added libdw-dev build-dependency to make sure perfparser is built.
  * Further update load_clanglazy.patch for Qt Creator 4.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 11:04:48 +0300

qtcreator (4.11.0-2) unstable; urgency=medium

  * Use Rules-Requires-Root: no.
  * Make qtcreator recommend clang-tidy, used in the Analyze menu.
  * Backport patch to detect compilers supported by ccache, if present.
  * Update Standards-Version to 4.5.0. No changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 29 Jan 2020 14:48:28 -0300

qtcreator (4.11.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Update debian/copyright.
  * Refresh patches.
  * Bump Standards-Version to 4.4.1. No changes required.
  * Switch to using debhelper-compat as a build dependency.

  [ Patrick Franz ]
  * Added missing licence-texts in debian/copyright.
  * Fixed licence for metadata.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 14 Dec 2019 12:08:19 -0300

qtcreator (4.10.2-2) unstable; urgency=medium

  * Use the system's KF5SyntaxHighlighting in order to avoid the embedded
    version.
  * Improve debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 02 Dec 2019 22:55:36 -0300

qtcreator (4.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Nov 2019 19:28:14 -0300

qtcreator (4.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove ClangFormat-improve-the-message-the-users-see.patch, applied
    upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 08 Oct 2019 22:52:53 -0300

qtcreator (4.10.0-2) unstable; urgency=medium

  * Add ClangFormat-improve-the-message-the-users-see.patch. In this way our
    users can know why the functionality is not there. We will surely not ask
    clang maintainers to patch it with a non-approved patch. This can be
    reconsidered if the patch gets accepted upstream. This is related to
    Debian bug #919860.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Sep 2019 10:41:59 -0300

qtcreator (4.10.0-1) unstable; urgency=medium

  * New upstream release.
  * New changelog entry.
  * Refresh patches dealing with the clazy plugin.
  * Bump debhelper compatibility to 12.
  * Remove now useless lintian overrides.
  * Extend qtcreator-doc long description.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Momentarily disable always_autotect_qt_versions patch, the code has
    changed and we need to check if it's really needed.
  * Switch to LLVM/Clang 8, as required by the source.
  * Force using qmake as build system. We now also hace CMake support. We
    should switch to it as soon as it's considered stable enough.
  * Refresh debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 08 Sep 2019 12:41:07 -0300

qtcreator (4.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 01 Mar 2019 12:30:44 -0300

qtcreator (4.8.1-2) unstable; urgency=medium

  [ Alexander Volkov ]
  * Update load_clanglazy.patch for clazy 1.5, ClangLazy.so was renamed to
    ClazyPlugin.so.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 17 Feb 2019 16:47:56 -0300

qtcreator (4.8.1-1) unstable; urgency=medium

  * Do not enable Clang libtolling yet, it's still experimental
    (Closes: #918853).
  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 18 Jan 2019 21:56:56 -0300

qtcreator (4.8.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make qtcreator suggest Clazy.
  * New upstream release.
  * Add libqt5serialport5-dev to enable building the SerialTerminal plugin.
  * Enable Clang libtooling in order to build the clang refactoring and the pch
    manager plugins.

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Jan 2019 16:57:51 -0300

qtcreator (4.7.2-2) unstable; urgency=medium

  * Switch to LLVM 7 (Closes: #912794).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Nov 2018 13:30:30 -0300

qtcreator (4.7.2-1) unstable; urgency=medium

  * Team upload.

  [ Alexander Volkov ]
  * New upstream release (closes: #904672).
  * Drop patches merged upstream:
    - botan2.wip.patch.
    - improve_appstream_metadata.patch.
    - arch_support_refactor.patch.
    - botan2.debian.patch (not needed anymore).
  * Bump qbs build dependency to 1.12, required by this release.
  * Build with system botan.
  * Add load_clanglazy.patch: analyze tool is running clang which
    either should be built with clazy support or passed an option
    to load ClangLazy library. Vanilla clang doesn't has built-in
    clazy support, so pass the option to it.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 31 Oct 2018 14:50:44 +0300

qtcreator (4.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Jun 2018 18:12:29 -0500

qtcreator (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Make qtcreator suggest valgrind (Closes: #881542).
  * Backport upstream patch to improve AppStrem metadata (Closes: 897901).
  * Refresh patches.
  * Create arch_support_refactor.patch backporting various commits that
    improve arch/OS support, adding for example the xtensa-esp32 arch.
  * Remove empty from_header_to_body.diff file.
  * Fix typo in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 09 May 2018 14:28:47 -0300

qtcreator (4.6.0-3) unstable; urgency=medium

  * Fix clang model plugin build (Closes: 895677):
    - Build depend upon llvm-6.0-dev on all archs.
    - Once again pass LLVM_INSTALL_DIR to the config script. In Debian
      llvm-config is suffixed by the LLVM version, so the correct path
      is not detected without it.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Apr 2018 15:08:16 -0300

qtcreator (4.6.0-2) unstable; urgency=medium

  * Qt Creator now has a better heuristic for detecting LLVM, so it's not
    needed to explicitely tell it where is it installed. Thanks James Cowgill
    for pointing me in the right direction.
    - Make libclang-6.0-dev a dependency on all archs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 10 Apr 2018 21:18:30 -0300

qtcreator (4.6.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Use Helmut Grohne's patch to simplify debian/rules and allow qtcreator to
    be crossbuilt (Closes: #893508).

  [ Simon Quigley ]
  * New upstream release.
  * Run wrap-and-sort.
  * Confirm the multi-arch hinter's pointers and make qtcreator-data and
    qtcreator-doc Multi-Arch: foreign.
  * Bump Standards-version to 4.1.4, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump qbs build dependency to 1.11, required by this release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 10 Apr 2018 10:28:29 -0300

qtcreator (4.5.2-3) unstable; urgency=medium

  * Update libclang dependency to 6.0 (closes: #893402)

 -- Adam Majer <adamm@zombino.com>  Sun, 18 Mar 2018 19:10:54 +0100

qtcreator (4.5.2-2) unstable; urgency=medium

  * Team upload.
  * Switch the kdelibs5-data suggest to kate-data, since the latter is where
    the kate syntax definitions are; unfortunately they are the kde4 versions,
    as the KF5 syntax-highlighting embeds its own as Qt resources.
  * Use https in the watch file.
  * Move desktop file, and appdata file from qtcreator-data to qtcreator, as
    they must be together with the executable they refer to
    - add proper breaks/replaces
  * Add the zlib1g-dev build dependency: apparently LLVM/Clang 3.9 exposes -lz
    as dependency for its libraries, and the -dev packages do not depend on it.
  * Remove the unused ${perl:Depends} substvar from qtcreator-data.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Mar 2018 10:23:36 +0100

qtcreator (4.5.2-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release. (closes: #893207)
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Fix insecure-copyright-format-uri.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove botan patches. We can now use USE_SYSTEM_BOTAN as soon as botan2
    hits the archive. Thanks Christian Kandeler for the pointer!
  * Switch Vcs-[Git Browser] to salsa.debian.org.

  [ Alexander Volkov ]
  * Revert "Export LLVM_INSTALL_DIR without harcoding the version." since
    this method doesn't work with libclang-3.9-dev and llvm-3.9-dev
    build dependencies. (closes: #889984, #888895)

  [ Adam Majer ]
  * Enable USE_SYSTEM_BOTAN again. (botan2.wip.patch, botan2.debian.patch)
  * Update Qt minimum version dependency to 5.6.2

 -- Adam Majer <adamm@zombino.com>  Sat, 17 Mar 2018 20:12:32 +0100

qtcreator (4.5.0-3) unstable; urgency=medium

  * Switch back to using the embedded botan's code. Version 1.10 will get
    removed from the archive. QTCREATORBUG-19745 was filed against upstream
    to improve this situation (Closes: #889558).
    - Remove botan build dependency.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Feb 2018 15:41:41 -0300

qtcreator (4.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on armhf. (Closes: #886820)
    - Remove hack to build some files with -O1.
      Thanks to Adrian Bunk for testing.
  * Build-depend on qml-module-qtquick-controls to satisfy the check in
    src/plugins/plugins.pro.
    - Thanks to Dmitry Shachnev.
  * Build-depend libclang and llvm 3.9 instead of the metapackage.
    - qtcreator only works with version 3.9.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 29 Jan 2018 22:54:46 +0100

qtcreator (4.5.0-1) unstable; urgency=medium

  [ Adam Majer ]
  * Enable clang code plugin on i386 (closes: #877814)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release. (closes: #875863)
  * Bump QBS build dependency to >= 1.10, required by the source.

 -- Adam Majer <adamm@zombino.com>  Thu, 28 Dec 2017 00:41:30 +0100

qtcreator (4.3.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879427)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Switch to unversioned llvm-dev and libclang-dev, see if we can keep this
    dependencies this way (Closes: #873414).
    - Export LLVM_INSTALL_DIR without harcoding the version.
  * Switch to compat 10 which uses parallel building by default.
    - Depend on debhelper >= 10.
  * Update Standards-Version to 4.1.1, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 26 Nov 2017 16:36:46 -0300

qtcreator (4.3.1-1) unstable; urgency=medium

  * New upstream version (closes: #866846)
    + Fix wizards not to overwrite existing files
    + Fix memory leak in code completion
    + Fix crash when requesting refactoring on invalid C++ code
  * Remove qtscript5-private-dev as a BuildDepend
  * Bump QBS dependency to 1.8.1
  * remove_libexec.diff: refreshed
  * fix_documentation_path.diff: re-add. We are putting compiled
    documentation in compiled directory instead of human readable
    documentation directory
  * Install HTML version of the documentation for both QtCreator
    end user and the plugin developer.
  * Remove qtcreator.desktop in favour of upstream version
  * Use dh_missing instead of deprecated dh_install --fail-missing

 -- Adam Majer <adamm@zombino.com>  Tue, 11 Jul 2017 20:16:42 +0200

qtcreator (4.3.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.0.0.
  * Refresh patches and remove fix_documentation_path.diff as it's no longer
    needed.
  * Add my name to Uploaders.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 01 Jun 2017 20:41:24 -0500

qtcreator (4.2.0-1) unstable; urgency=medium

  * New upstream version
    + Added experimental editor for Qt SCXML
    + Added pattern substitution for variable expansion
    + Added option to hide the central widget in Debug mode
    + Fixed highlighting of Markdown files
    + Added option to skip big C++ files when indexing
    + Improved responsiveness of completion and highlighting
      when using clang code model
    + Made display of maps more compact under debugger
    + Added pretty printing of `QRegExp` captures, `QStaticStringData`,
      `QStandardItem`, and `std::pair` udner debugger
  * Bump min build dependencies:
    + Qt 5.6.0
    + QBS 1.7.0
    + clang/llvm 3.9.0, only build clangplugin on amd64
  * debian/watch: update downloaded files to XZ compressed
  * debian/control: add missing build dependency on llvm

 -- Adam Majer <adamm@zombino.com>  Thu, 05 Jan 2017 00:19:09 +0100

qtcreator (4.1.0-4) unstable; urgency=medium

  * Make qtcreator depend upon qml-module-qtqml-models2 (Closes: #843395).
    Thanks Oswald Buddenhagen for the bug report!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 18 Nov 2016 16:10:07 -0300

qtcreator (4.1.0-3) unstable; urgency=medium

  * Do not require clang support on archs that do not have it.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Oct 2016 10:15:19 -0300

qtcreator (4.1.0-2) unstable; urgency=medium

  * Do not build clang support on armel (Closes: #839791). Thanks Emilio for
    the bug!
  * Switch to libclang-dev, which currently depends on libclang-3.8-dev.
    Listing both versions of libclang-3.*-dev is futile as buildds will
    only consider the first one.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Oct 2016 11:23:57 -0300

qtcreator (4.1.0-1) unstable; urgency=medium

  [ Adam Majer ]
  * New upstream version
  * Re-enable QBS plugin

 -- Adam Majer <adamm@zombino.com>  Thu, 08 Sep 2016 00:11:22 +0200

qtcreator (4.1.0~rc1-1) experimental; urgency=medium

  [ Adam Majer ]
  * New upstream version
    + added the Flat Dark and Flat Light themes
      (Environment > Interface > Theme settings)
    + editted files are now loaded on visibility instead of all on
      session resumption
    + improved overall performance of Qt Quick designer
    + improved performance of QML Profiler
    + option to turn off automatic running of CMake per configured tool
    + experimental support for the Nim programming language (in plugins)
    + c++: added separate highlighting for function declarations and usages
    + c++: added highlighting option for global variables
    + added support for TCP/IP forward tunneling with SSH
  * fix_build_on_ppc.patch removed, upstreamed
  * Refreshed patches
  * Bump Clang dependency to 3.8
  * Temporarily disable QBS

 -- Adam Majer <adamm@zombino.com>  Mon, 08 Aug 2016 00:47:25 +0200

qtcreator (4.0.3-1) unstable; urgency=medium

  [ Adam Majer ]
  * New upstream version
    + cmake: resolve symlinks when comparing source directories
    + Clang: Fix dot-arrow-correction for zero results
    + Clang: Fix dot-arrow-correction for not-yet-parsed unsaved content
    + ProjectExplorer: Fix comparison with default-constructed Runnables
    + Depend on qbs 1.5.2
  * Update Qt build requirements to 5.5.x

 -- Adam Majer <adamm@zombino.com>  Sat, 06 Aug 2016 01:56:51 +0200

qtcreator (4.0.2-1) unstable; urgency=medium

  * New upstream release.
    + Fix bug debugging an application that has pdb files larger than 1 GB

 -- Adam Majer <adamm@zombino.com>  Sun, 03 Jul 2016 23:50:51 +0200

qtcreator (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add a lintian override for qbs' sources, as we don't build it nor use it.
  * Fix mistyped license in debian/copyright.
  * Backport a patch to fix a FTBFS in PowerPC. Thanks Thiago Macieira for the
    quick reply :)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 14 Jun 2016 23:23:56 -0300

qtcreator (4.0.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    + Bump qbs-dev to 1.5.0.
  * Instruct uscan to repack the original source with xz compression.
  * Remove 02_use_x-terminal-emulator.diff, already present upstream.
  * Refresh botan_system_lib.diff.
  * Add qmlscene and qt5-qmltooling-plugins as a qtcreator recommendations
    (Closes: #824334).
  * Update debian/copyright.
  * Update Homepage and Vcs-* fields to use secure URLs.
  * Update Standards-Version to 3.9.8, no changes required.
  * Update install files.
  * Make qtcreator recommend clang, as it has added quite interesting tools
    that use it.

  [ Adam Majer ]
  * Refresh patches:
    + always_autotect_qt_versions
    + fix_qt_version_autodetection.diff
    + missing_header.diff
    + fix_documentation_path.diff
    + remove_libexec.diff

 -- Adam Majer <adamm@zombino.com>  Sun, 29 May 2016 23:03:30 +0200

qtcreator (3.6.1-1) unstable; urgency=medium

  * New upstream version
      + clang code model improvements
  * debian/patches:
      + remove disable_llvm_rpath.diff - upstreamed

 -- Adam Majer <adamm@zombino.com>  Wed, 23 Mar 2016 23:48:12 -0500

qtcreator (3.6.0-2) unstable; urgency=medium

  * Move libexec executables out from under /usr/bin to under /usr/lib and
    point QtCreator's internal libexec path to the new location. This
    allows plugins like Clangbackend to function once more. (closes: #812531)
  * debian/rules:
      + remove obsolete jQuery-related link and cleanup, since we no longer
        ship +fdsg version.
      + remove unnecessary dh_auto_clean_override
  * debian/qtcreator.install:
      + no longer install unnecessary qtcreator.sh
  * debian/patches/fix_qt_version_autodetection.diff
      + in certain situations it was possible for a Qt version to be
        autodetected as a new installation even it was already found and
        previosuly saved. Add a patch by Benjamin Zeller to fix this issue.
        Thanks to Timo Jyrinki for report (closes: #803937)

 -- Adam Majer <adamm@zombino.com>  Tue, 26 Jan 2016 16:03:52 -0600

qtcreator (3.6.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * No longer ship a +dfsg version: the only remaining javascript file is not
    minified nor used, as we don't build qbs' documentation.
    - Adjust README.source and debian/watch to this new situation.
  * Refresh patches.

  [ Adam Majer ]
  * Refreshed disable_llvm_rpath.diff - still needed for clangbackend binary.
  * Move libexec executables back to standard bin path
  * No longer distribute qtcreator menu file. We are already distributing a
    .desktop file.

 -- Adam Majer <adamm@zombino.com>  Tue, 19 Jan 2016 11:44:53 -0600

qtcreator (3.5.1+dfsg-2) unstable; urgency=medium

  * Use only LLVM 3.6 to avoid a FTBFS in 3.7 that doesn't
    allows us to migrate.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 27 Oct 2015 13:41:39 -0300

qtcreator (3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Allow building of ClangCodeModel using either LLVM 3.7 or 3.6

 -- Adam Majer <adamm@zombino.com>  Sun, 25 Oct 2015 02:14:26 -0500

qtcreator (3.5.0+dfsg-2) unstable; urgency=medium

  * Remove QtQuick1 build dependencies.
  * Enable ClangCodeModel plugin (closes: #791348)
     + Disable rpath via debian/patches/disable_llvm_rpath.diff

 -- Adam Majer <adamm@zombino.com>  Sun, 27 Sep 2015 15:51:57 -0500

qtcreator (3.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release
    + Added highlights to editor's vertical scrollbar, ala eclipse-style
    + Removed Qt Quick 1 support from Qt Quick Designer
  * debian/control:
    + Bump build dependency to minumum of Qt 5.4, as per upstream.
    + Remove conflict resolution statements related to Wheezy (oldstable)
  * debian/patches:
    + drop qt_versions_trough_qtchooser.patch - incorporated upstream
    + update always_autotect_qt_versions

 -- Adam Majer <adamm@zombino.com>  Thu, 20 Aug 2015 12:44:17 -0500

qtcreator (3.4.1+dfsg-2) unstable; urgency=medium

  * Re-enable QBS plugin and bump its requirements (closes: #792035)

 -- Adam Majer <adamm@zombino.com>  Sun, 26 Jul 2015 00:05:07 -0500

qtcreator (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    + Refresh patches - only positional changes
  * Temporarily disable QBS plugin
  * debian/copyright:
    + consolidate 3-clause BSD licenses
    + consolidate MIT and Expat - they are the same licenses.

 -- Adam Majer <adamm@zombino.com>  Thu, 25 Jun 2015 15:46:23 -0500

qtcreator (3.4.0+dfsg~b1-1) experimental; urgency=medium

  * New upstream release
    + Added support for autocompletion of Qt5 style connect

 -- Adam Majer <adamm@zombino.com>  Sat, 07 Mar 2015 16:06:47 -0600

qtcreator (3.3.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update lists of jquery files updated from original tarball in
    README.source

 -- Adam Majer <adamm@zombino.com>  Tue, 24 Feb 2015 14:31:52 -0600

qtcreator (3.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release
    + Replace minified jquery instances in upstream tarball with editing
    friendly version from Debian.
  * Use debian packaged qbs instead of bundled version (closes: #763388)
  * Update uscan to reference qt.io instead of qt-project.org
  * Switch homepage to qt.io
  * Look for documentation in the correct directory (closes: #740126)

 -- Adam Majer <adamm@zombino.com>  Thu, 01 Jan 2015 18:59:21 -0600

qtcreator (3.2.1+dfsg-7) unstable; urgency=medium

  * Adds a missing check for a partially installed Qt version that is
    reported in qtchooser but is lacking qmake. (closes: #770007)

 -- Adam Majer <adamm@zombino.com>  Tue, 18 Nov 2014 09:55:32 -0600

qtcreator (3.2.1+dfsg-6) unstable; urgency=medium

  * Fix previous patch so autodetected Qt versions can be used and saved
    in "kits"

 -- Adam Majer <adamm@zombino.com>  Fri, 24 Oct 2014 18:28:22 -0500

qtcreator (3.2.1+dfsg-5) unstable; urgency=medium

  * Modify Qt autodetection to always have up-to-date-list of installed Qt
    versions

 -- Adam Majer <adamm@zombino.com>  Wed, 22 Oct 2014 12:30:00 -0500

qtcreator (3.2.1+dfsg-4) unstable; urgency=medium

  * Refresh from_header_to_body.diff.
  * Add qt_versions_trough_qtchooser.patch to detect available Qt versions
    using qtchooser.
  * Update Standards-Version to 3.9.6, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 21 Oct 2014 19:04:11 -0300

qtcreator (3.2.1+dfsg-3) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add +dfsg to the versioned build dependencies that require them. This
    helps backporting packages.
  * Add a note on Readme.source noting that the JQuery minified libraries
    where replaced with Debian's unminified ones.

 -- Adam Majer <adamm@zombino.com>  Tue, 23 Sep 2014 11:39:01 -0500

qtcreator (3.2.1+dfsg-2) experimental; urgency=medium

  * Add missing build dependency on libxext-dev (QTBUG-41454)

 -- Adam Majer <adamm@zombino.com>  Sat, 20 Sep 2014 19:05:56 -0500

qtcreator (3.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release
      + upstream tarball references to minified JQuery replaced with
        latest, editing friendly version from Debian.
  * Bump all Qt dependencies to 5.3.2

 -- Adam Majer <adamm@zombino.com>  Fri, 19 Sep 2014 17:13:48 -0500

qtcreator (3.2.0+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make qtcreator recommend qttranslations5-l10n (Closes: 759685).
    Thanks Bernhard Übelacker for the detailed bug report!

  [ Adam Majer ]
  * Move some functions bodies from headers to .cpp files. This fixes a
    FTBFS bug with latest GCC (closes: 759862)

 -- Adam Majer <adamm@zombino.com>  Wed, 03 Sep 2014 21:10:34 -0500

qtcreator (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Aug 2014 19:16:39 -0300

qtcreator (3.1.2+dfsg-2) unstable; urgency=medium

  [ Adam Majer ]
  * Add Debian menu entry.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add a horrible hack in debian/rules for building a few files with -O1
    instead of -O2 on armhf. If you don't like this please be sure to help
    me to get a minimal test case in order to fill a proper bug against g++.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 03 Aug 2014 13:36:05 -0300

qtcreator (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Jul 2014 15:34:16 -0300

qtcreator (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add libqt5x11extras5-dev as build dependency, as the build log warn us of
    it being missing.
  * Re-enable parallel building on arm*. It is not the issue causing the FTBFS.
  * Refresh patches:
    - 02_use_x-terminal-emulator.diff.
    - rpath_nonlinux.diff, it needed some work.
    - botan_system_lib.diff.
  * Add debian/quiltrc with the common settings for quilt.
  * Remove no-Werror.diff, seems no longer needed.
  * Do not remove the missplaced qbs plugins, they have been moved to the right
    place.
  * Bump Qt build dependencies to 5.3.0.
  * Pass some extra directories to dh_shlibdeps in which to look for
    dependencies. This might be an upstream bug.
  * Do not override dh_makeshlibs. We do not provide libs, so it shouldn't be a
    problem.
  * Fix permissions on qbs files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jun 2014 11:51:23 -0300

qtcreator (3.0.1+dfsg+exp-4) unstable; urgency=medium

  * Add qml-module-qtquick-controls and qml-module-qtquick2 as
    dependencies (Closes: #742710). Tight up the dependencies to the minimum
    required versions.
  * Disable parallel builds on arm*. It seems make is currently having problems
    with parallel builds on arm, so we disable them. It might get fixed with
    make 4.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Apr 2014 13:09:31 -0300

qtcreator (3.0.1+dfsg+exp-3) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Mar 2014 11:54:35 -0300

qtcreator (3.0.1+dfsg+exp-2) experimental; urgency=medium

  * Remove unnecesary build dependencies added because of a bug in Qt Webkit.
    - Build depend upon libqt5webkit5-dev >= 5.2.1+dfsg-4~ to be sure we don't
      hit the bug.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 18 Mar 2014 12:32:01 -0300

qtcreator (3.0.1+dfsg+exp-1) experimental; urgency=medium

  * Switch to Qt 5 on experimental.
    - Add +exp to the version of the package to be able to fix stuff in
      unstable if needed.
    - Switch to Qt 5 in debian/rules.
    - Remove Qt 4 build dependencies and add the necessary Qt 5 build
      dependencies.
    - Change Qt 4 dependencies, recommendations or suggestions to their Qt 5
      counterparts.
    - Add libgio2.0-cil-dev, libgstreamer-plugins-base0.10-dev,
      libgstreamer0.10-dev and libqt5opengl5-dev as build dependencies. They
      are required at link time, so maybe it's an effect of #711307.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Mar 2014 22:50:11 -0300

qtcreator (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file.
  * Refresh rpath_nonlinux.diff.
  * Readapt botan_system_lib.diff.
  * Adjust install files.
  * Remove rule to compress the packages with xz, it is now the default
    compression method.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Avoid installing a license file and symlink it to it's common-licenses'
    counterpart.
  * Switch debian/copyright to format 1.0.
  * Repack source excluding minified javascript files without source.
    - Use Files-excluded in debian/copyright for this.
    - Update debian/watch to mangle the dfsg version.
    - Build depend upon libjs-jquery and create the necessary symlinks before
      building.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Feb 2014 23:36:30 -0300

qtcreator (2.8.1-3) unstable; urgency=low

  [ Pino Toscano ]
  * Disable -Werror when building, as could potentially break depending on
    compiler/architecture; patch no-Werror.diff.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 04 Sep 2013 20:49:00 -0300

qtcreator (2.8.1-2) unstable; urgency=low

  [ Pino Toscano ]
  * Synchronise qtcreator.install with qtcreator.install.linux.
    (Closes: #721580)
  * Remove qtcreator.install.linux, since there are no more Linux-specific
    files.
  * Minor simplification in qtcreator.install.
  * Add ${perl:Depends} to qtcreator-data.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 02 Sep 2013 12:43:31 -0300

qtcreator (2.8.1-1) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Split qtcreator's arch:all stuff to qtcreator-data:
    - Create qtcreator-data.install to ship /usr/share stuff.
    - Remove the above mentioned stuff from qtcreator.install*.
    - Create qtcreator-data, add the appropriate Breaks+Replaces.
    - Make qtcreator depend on qtcreator-data.
    - Links in /usr/share/ now belong to qtcreator-data.
    - dh_installdocs now uses qtcreator-data.
  * Add lintian overrides:
    - qtcreator ships it's changelogs in qtcreator-data.
    - The upstream changelog is splited in different files.
  * Update watch file.
  * Refresh patches.
  * Remove 03_fix_DOCPATH.diff, no longer needed.
  * Adjust install files.
  * Manually call qmake in order to avoid a FTBFS due to dh passing -nocache.
    Upstream uses caches to put default data for building, so we need them.
    Pass the necessary flags by hand.
  * Remove arch-specific files from /usr/share until upstream bug
    https://bugreports.qt-project.org/browse/QTCREATORBUG-10074 is solved.

  [ Pino Toscano ]
  * Switch Homepage to a qt-project.org page.
  * Remove obsolete gdbmacros symlinks.
  * Override the image-file-in-usr-lib warning, since qtcomponents images
    are expected in the library directory with qt components.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Remove the manual libqt4-help dependency from qtcreator, as that will be
    added by shlibs.
  * Raise the qtchooser recommend to a dependency.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 01 Sep 2013 12:09:52 -0300

qtcreator (2.7.0-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Update Homepage, Vcs-Browser and Vcs-Git in debian/control.
  * Add changes done by Ubuntu:
    Timo Jyrinki:
      - Update debian/watch.
      - Update debian/copyright.
    Felix Geyer:
      - Compress binary packages with xz.
      - Build qtcreator out-of-source.
      - Link Qt Creator against the system botan library instead of using
        the bundled one.
        - Add botan_system_lib.diff slightly adapted from openSUSE.
        - Build-depend on libbotan1.10-dev and pkg-config.
      - Drop Use_bzr_branch_instead_of_bzr_clone.patch and
        Fix_revno_detection_in_bzr_log.patch: merged upstream.
      - Don't call dh_makeshlibs as qtcreator doesn't provide any public shared
        libraries.
  * Remove posix_rt_nonlinux.diff. It applies against 3rd party botan, but we
    are now using the system botan.
  * Export CFLAGS, CXXFLAGS, LDFLAGS for hardening and QT_SELECT to choose qt4.
  * Change Depends and Recommends of packages qtcreator and qtcreator-doc.
  * Update 02_use_x-terminal-emulator.diff. The changes seems to come from
    Ubuntu, but I don't know who did it.
  * Remove unused patch posix_rt_nonlinux.diff.
  * Make every package that ships a binary managed by qtchooser depend on it.
  * Build the documentation using qmake. Taken from Ubuntu.
  * Override dh_install to pass --fail-missing.
  * Tell git to use dpkg-mergechangelogs on merging changelogs.
  * Update install files:
    - Fix documentation path.
    - Do not install the private version of libbotan, we are not using it.
    - Other updates, sorted.
  * Update the Icon field in qtcreator.desktop.
  * Build-depend on libx11-dev, avoiding a FTBFS.
  * Add a lintian override for qtcreator.sh.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 27 May 2013 15:58:32 -0300

qtcreator (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Build tm_posix.cpp on kFreeBSD and Hurd to fix a crash because of an
    undefined symbol. (Closes: #683933)
    - Add posix_rt_nonlinux.diff

 -- Felix Geyer <fgeyer@debian.org>  Tue, 07 Aug 2012 11:33:13 +0200

qtcreator (2.5.0-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Fix the installation of the upstream changelogs: use dh_installdocs
    for them, and install them only in qtcreator.
  * Build the documentation only when qtcreator-doc is being built too.
  * Remove unuseful ${shlibs:Depends} from qtcreator-dbg.
  * Enable RPATH also on kFreeBSD and Hurd; patch rpath_nonlinux.diff.
    (Closes: #672527)

 -- Fathi Boudra <fabo@debian.org>  Thu, 10 May 2012 21:57:24 +0300

qtcreator (2.5.0~rc-1) unstable; urgency=low

  * New upstream release.
  * Add patches, cheery-picked upstream:
    - Use_bzr_branch_instead_of_bzr_clone.patch
    - Fix_revno_detection_in_bzr_log.patch
  * Update debian/control:
    - bump debhelper build dependency to 9.
    - bump build dependencies to Qt >= 4.8.1.
    - bump Standards-Version to 3.9.3 (no changes needed).
  * Update installed files and adjust paths for multiarch.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 May 2012 09:47:02 +0300

qtcreator (2.4.0-1) experimental; urgency=low

  * New upstream release (Closes: #653634):
    - FTBFS: error: no matching function for call to 'qMin(double&, qreal)'.
      (Closes: #638813)
  * Drop patches:
    - install_application_icons_according_to_freedesktop_spec.diff
      merged upstream.
    - 01_fix_installation_paths.diff
      use INSTALL_ROOT=$(CURDIR)/debian/tmp/usr to avoid to refresh this patch
      continously.
    - 04_append_Debian_search_path_for_pre-built_gdbmacros.diff
      we don't ship pre-built gdbmacros anymore.
  * Update debian/compat: bump to 9 for multiarch support.
  * Update debian/control:
    - bump build dependencies to Qt >= 4.8.0, version with multiarch support.
    - fix Homepage. (Closes: 627890)
    - add qt4-qmlviewer to Recommends.
    - add g++ to Suggests. (Closes: #649212)
    - suggests git instead of git-core (transitional package).
  * Update debian/rules:
    - remove QMAKE export using qmake_qt4 buildsystem (requires
      debhelper >= 8.9.1)
    - remove pre-built gdbmacros to simplify multiarch support.
    - install the documentation, not handled by make install.
    - do not remove bin/qtcreator.sh in override_dh_auto_clean target.
    - drop override_dh_{makeshlibs,shlibdeps}, Qt Creator provides private
      libraries only.
  * Add missing binaries: usr/lib/qmldesigner/*.so and usr/bin/qmlpuppet.*
    (Closes: #618339, #633915)
  * Enable multiarch support and update debian/*.install files accordingly.
  * Fix debian/watch file: download the tarball instead of zip archive.

 -- Fathi Boudra <fabo@debian.org>  Thu, 29 Dec 2011 22:11:49 +0200

qtcreator (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add Qt Creator debug package.

 -- Fathi Boudra <fabo@debian.org>  Thu, 23 Jun 2011 12:26:27 +0300

qtcreator (2.2.0-2) unstable; urgency=low

  * Add QML Designer plugin:
    - build depends on libqt4-private-dev.
    - update debian/qtcreator.install file.
  * Add kdelibs5-data to Suggests. Qt Creator can use kate syntax highlighting
    definitions.
  * Add debian/qtcreator.install.linux: ptracepreload plugin is available on
    linux only.

 -- Fathi Boudra <fabo@debian.org>  Wed, 22 Jun 2011 09:19:32 +0300

qtcreator (2.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #627889):
    - fix ftbfs on kfreebsd. (Closes: #600652)
  * Add install_application_icons_according_to_freedesktop_spec.diff patch.
  * Update debian/rules:
    - build depends on libqtwebkit-dev >= 2.1.0~2011week13-2. This version
      contains a fix to define QT_WEBKIT and display correctly documentation
      in Qt Creator Help plugin.
    - bump Standards-Version to 3.9.2 (no changes needed).
  * Update debian/qtcreator.desktop: set InitialPreference=9.

 -- Fathi Boudra <fabo@debian.org>  Fri, 17 Jun 2011 20:47:08 +0300

qtcreator (2.2.0~beta-1) unstable; urgency=low

  * New upstream release.
  * Update 01_fix_installation_paths.diff to apply on 2.2.0~beta and fix
    qtpromaker path.
  * Update debian/qtcreator.install file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 31 Mar 2011 11:39:45 +0300

qtcreator (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: add libqtwebkit-dev build dependency.

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Feb 2011 08:49:10 +0200

qtcreator (2.1.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/control:
    - bump libqt4-dev build dependency to 4:4.7.1.
  * Remove QTCREATOR_WITH_QML=1 environment variable - enabled by default.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 15:17:02 +0200

qtcreator (2.1.0~beta1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/rules:
    - remove QTCREATOR_WITH_QML export, enabled by default.
    - remove plugins exclusion from dh_shlibdeps. (Closes: #597647)
  * Update qtcreator.install file.

 -- Fathi Boudra <fabo@debian.org>  Sat, 09 Oct 2010 19:55:37 +0300

qtcreator (2.0.1-1) experimental; urgency=low

  * New upstream release.
  * Update 01_fix_installation_paths.diff patch.
  * Update qtcreator.install file.
  * Update debian/control:
    - bump libqt4-dev build dependency to 4:4.7.0~rc1.
    - bump Standards-Version to 3.9.1 (no changes needed).
  * Enable Qml support with QTCREATOR_WITH_QML environment variable.

 -- Fathi Boudra <fabo@debian.org>  Wed, 25 Aug 2010 14:26:11 +0300

qtcreator (2.0.0-1) experimental; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch Debian changes to patches. It makes derivatives distributions happy.
  * Update debian/control:
    - drop cdbs build dependency.
    - bump libqt4-dev build dependency to 4:4.7.0~beta2.
    - bump Standards-Version to 3.9.0 (no changes needed).
    - cleanup long description. (Closes: #528567)
  * Update debian/rules: convert to dh usage.
  * Update debian/qtcreator.install file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 08 Jul 2010 17:39:46 +0300

qtcreator (1.3.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bump debhelper build dependency to 7.4.15.
  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Update copyright years.
  * Remove lintian overrides - unused.
  * Cleanup debian/rules: remove lintian warnings fix - fixed upstream.
  * Add debian/watch file.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 May 2010 16:28:06 +0300

qtcreator (1.3.1-1) experimental; urgency=low

  * New upstream release.
  * Add epoch to build-depends. (closes: #565786)

 -- Adam Majer <adamm@zombino.com>  Tue, 19 Jan 2010 14:31:57 -0600

qtcreator (1.3.0-1) experimental; urgency=low

  * New upstream release:
    + added CVS and QML plugins.
    + some translations were added for international users.
    + plugin API/ABI modified.
  * README.source added as an explanation how to merge new upstream
    releases.
  * Bump build depends to Qt 4.6.
  * Bump Standards-Version to 3.8.3. No changes required.
  * Install the latest upstream changelog only.

 -- Adam Majer <adamm@zombino.com>  Sat, 26 Dec 2009 23:17:34 -0600

qtcreator (1.2.1-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Add missing dependency on libqt4-help.
    Thanks to André Wöbbeking for the notice.

  [ Adam Majer ]
  * Add missing dependency on libqt4-sql-sqlite without which help file is
    not accessible. This was noticed missing in Ubuntu bug #388129.

 -- Fathi Boudra <fabo@debian.org>  Fri, 28 Aug 2009 10:36:51 +0200

qtcreator (1.2.1-2) unstable; urgency=low

  * Use the pre-built gdbmacros for Debian's Qt installation only.
    Qt Creator will no longer errenously try to use the pre-built
    gdbmacros for all Qt installations.

 -- Adam Majer <adamm@zombino.com>  Thu, 30 Jul 2009 09:18:51 -0500

qtcreator (1.2.1-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Re-add installation of gdbmacros. Debian is shipped with a known Qt version
    and we should provide a ready to use debugger helper for this version.
  * Install libDebuggingHelper.

  [ Adam Majer ]
  * Move the gdbmacros helper under /usr/lib/qtcreator.
  * Build gdbmacros from the correct .pro file.
  * Install upstream changelogs.

 -- Fathi Boudra <fabo@debian.org>  Wed, 15 Jul 2009 12:37:19 +0200

qtcreator (1.2.0-1) unstable; urgency=low

  * New upstream release.
    + Includes git patches to 1.2.x tree until 2009-07-07.

  [ Fathi Boudra ]
  * Bump Standard-Version to 3.8.2. No changes needed.
  * Update debian/rules:
    - Remove translations build. Infrastructure for translations added
      upstream.
    - Improve clean target by removing extra directories.
    - Remove dh_desktop call. Deprecated.
    - Add qt4-demos to Recommends. The combobox in the welcome page relies on
      qt4-docs and qt4-demos being installed.
  * Update debian/qtcreator.install.
  * Fix wrapper target path moved to bin/bin.pro.
  * Fix static and translations target installation.

  [ Adam Majer ]
  * Removed some lintian errors from overrides. They should not be ignored.
  * Remove installation of gdbmacros. This needs to be compiled per
    version of Qt. Qt Creator automates this process and will compile
    and install the debugging helper in the user's local directory.
    The compilation routine is in the Tools -> Options -> Qt 4 -> Version
    window.
  * Install the LGPL_EXCEPTION.TXT in addition to mentioning it in copyright
    as gdbmacros source code that is copied to user's local directory
    requires a license.

 -- Adam Majer <adamm@zombino.com>  Sun, 12 Jul 2009 18:52:19 -0500

qtcreator (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Version to 3.8.1. No changes needed.
  * Update debian/rules:
    - adjust clean target to not remove qtcreator wrapper script.
  * Update debian/qtcreator.install.
  * Fix qtcreator wrapper/target installation.
  * Update debian/rules to move and rename the debugging helper library.
  * Update debian/qtcreator.desktop:
    - fix missing icon.
    - remove duplicate mimetype entry.

 -- Fathi Boudra <fabo@debian.org>  Fri, 24 Apr 2009 00:01:08 +0200

qtcreator (1.0.0-1) experimental; urgency=low

  * Initial release (Closes: #509213).

 -- Fathi Boudra <fabo@debian.org>  Fri, 06 Mar 2009 13:14:21 +0100
